org.eclipse.rdf4j.federated.structures

## Enum QueryType

- java.lang.Object
- - java.lang.Enum<QueryType>
  - - org.eclipse.rdf4j.federated.structures.QueryType

- All Implemented Interfaces:
    Serializable, Comparable<QueryType>

      public enum QueryType
      extends Enum<QueryType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASK`
    `CONSTRUCT`
    `GET_STATEMENTS`
    `SELECT`
    `UNKNOWN`
    `UPDATE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static QueryType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static QueryType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SELECT

          public static final QueryType SELECT

    - #### CONSTRUCT

          public static final QueryType CONSTRUCT

    - #### ASK

          public static final QueryType ASK

    - #### UPDATE

          public static final QueryType UPDATE

    - #### GET_STATEMENTS

          public static final QueryType GET_STATEMENTS

    - #### UNKNOWN

          public static final QueryType UNKNOWN

  - ### Method Detail

    - #### values

          public static QueryType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (QueryType c : QueryType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static QueryType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.